For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channels Currency Assignments
              • POSTCreate Multiple Channels Currency Assignments
              • PUTUpdate Multiple Channels Currency Assignments
              • GETList Channel Currency Assignments
              • POSTCreate Channel Currency Assignments
              • PUTUpdate Channel Currency Assignments
              • DELDelete Channel Currency Assignments
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsCurrency Assignments

List Channels Currency Assignments

GET
https://api.bigcommerce.com/stores/:store_hash/v3/channels/currency-assignments
GET
/stores/:store_hash/v3/channels/currency-assignments
$curl https://api.bigcommerce.com/stores/store_hash/v3/channels/currency-assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Multiple channels currency assignments
1{
2 "data": [
3 {
4 "channel_id": 1,
5 "enabled_currencies": [
6 "USD"
7 ],
8 "default_currency": "USD"
9 },
10 {
11 "channel_id": 664177,
12 "enabled_currencies": [
13 "USD",
14 "GBP"
15 ],
16 "default_currency": "USD"
17 },
18 {
19 "channel_id": 664179,
20 "enabled_currencies": [
21 "USD",
22 "AUD"
23 ],
24 "default_currency": "USD"
25 },
26 {
27 "channel_id": 667159,
28 "enabled_currencies": [
29 "USD"
30 ],
31 "default_currency": "USD"
32 }
33 ],
34 "meta": {}
35}
Returns a list of currency assignments for all channels.
Was this page helpful?
Previous

Delete Multiple Metafields

Next

Create Multiple Channels Currency Assignments

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

datalist of objects
metaobject
Response metadata.